Bug 13518 - Trivial crash in pop3 - wrong format
: Trivial crash in pop3 - wrong format
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/python-module-twisted-mail)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-11-24 22:27 by
Modified: 2008-07-22 16:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-11-24 22:27:07
file 
/usr/lib/python2.4/site-packages/twisted/mail/pop3.py
line 567
instead of %d %d 
should be
%d %s 
(msg is not int, usually it's a string message).

Steps to Reproduce:
1.try to connect to pop3 messagebox, provided by twisted
2.Authorize
3.do LIST 1
Actual Results:  
crash of pop3 application

Expected Results:  
meaningful output - list of messages
------- Comment #1 From 2007-12-08 17:47:02 -------
fixed in alt2.1